List plan prices
curl --request GET \
--url https://sandboxapi.kelviq.com/api/v1/catalog/plans/{identifier}/prices/ \
--header 'Authorization: Bearer <token>'import requests
url = "https://sandboxapi.kelviq.com/api/v1/catalog/plans/{identifier}/prices/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://sandboxapi.kelviq.com/api/v1/catalog/plans/{identifier}/prices/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"count": 1,
"next": null,
"previous": null,
"results": [
{
"id": "df0b9da9-58c3-4d77-9b62-3f6e4c2b1ad0",
"priceType": "PAID",
"currency": "USD",
"freeTrial": false,
"trialPeriod": 14,
"enabled": true,
"taxBehavior": "EXCLUSIVE",
"chargeCatalogPrice": [
{
"feature": "3a3e92ab-90a3-4f43-8e87-9d4c8c5a9c01",
"priceModel": "FLAT",
"reset": "EVERY_MONTH",
"resetTime": "BEGINNING_OF_PERIOD",
"hasUnlimitedUsage": false,
"paymentType": "ADVANCE_COMMITMENT",
"rollover": {},
"usageAlerts": {
"enabled": true,
"thresholds": [
75,
90
],
"thresholdType": "PERCENTAGE"
},
"charges": [
{
"chargePeriod": "MONTHLY",
"priceData": {
"amount": 29.99
},
"tiers": [],
"advanced": {}
}
]
}
]
}
]
}Plans
List plan prices
Returns the prices configured on the plan (one per currency), each with its full per-feature charge configuration.
GET
/
catalog
/
plans
/
{identifier}
/
prices
/
List plan prices
Authorizations
The Server API Key obtained from the kelviq application. Pass as a Bearer token in the Authorization header. Example: 'Authorization: Bearer YOUR_API_KEY'
Path Parameters
Plan identifier.
Query Parameters
Optional plan version to scope the query to.
⌘I